Skip to main content
GET
/
markets
/
search
Search markets
curl --request GET \
  --url https://api.context.markets/v2/markets/search
{
  "markets": [
    {
      "id": "0x1111111111111111111111111111111111111111111111111111111111111111",
      "oracle": "0x1111111111111111111111111111111111111111",
      "question": "<string>",
      "shortQuestion": "<string>",
      "outcomeTokens": [
        "0x1111111111111111111111111111111111111111"
      ],
      "outcomePrices": [
        {
          "outcomeIndex": 123,
          "bestBid": 123,
          "bestAsk": 123,
          "spread": 123,
          "midPrice": 123,
          "lastPrice": 123,
          "sellPrice": 123,
          "buyPrice": 123
        }
      ],
      "creator": "0x1111111111111111111111111111111111111111",
      "creatorProfile": {
        "username": "<string>",
        "avatarUrl": "<string>"
      },
      "blockTime": "1000000",
      "chainId": "1000000",
      "txHash": "0x1111111111111111111111111111111111111111111111111111111111111111",
      "volume": "1000000",
      "volume24h": "1000000",
      "participantCount": 123,
      "executableAt": "<string>",
      "proposedAt": "<string>",
      "resolvedAt": "<string>",
      "payoutPcts": [
        123
      ],
      "resolutionStatus": "none",
      "metadata": {
        "mediaHash": "0x1111111111111111111111111111111111111111111111111111111111111111",
        "startTime": 123,
        "endTime": 123,
        "criteria": "<string>",
        "slug": "<string>",
        "sourceAccounts": [
          {
            "platform": "<string>",
            "userId": "<string>",
            "username": "<string>",
            "displayName": "<string>",
            "profileImageUrl": "<string>"
          }
        ],
        "shortSummary": "<string>",
        "categories": [
          "<string>"
        ]
      },
      "resolutionCriteria": "<string>",
      "deadline": "2023-11-07T05:31:56Z",
      "status": "active",
      "createdAt": "2023-11-07T05:31:56Z",
      "outcome": 123,
      "contractAddress": "0x1111111111111111111111111111111111111111",
      "questionSubmissionId": "<string>"
    }
  ],
  "hasMore": true
}

Query Parameters

q
string
required

Search query

Minimum string length: 1
limit
integer
default:20

Max results (default 20)

Required range: 1 <= x <= 50
offset
integer | null
default:0

Offset for pagination (default 0)

Required range: x >= 0

Response

Search results

markets
object[]
required
hasMore
boolean
required